Bug 801993 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/matszyeung_40hotmail_2ecom at 0x2318490>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:23a39d684aba16ffddf59daad1e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 00:20 EST by matszyeung
Modified: 2013-02-13 05:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matszyeung 2012-03-10 00:20:01 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        This alert message was shown when I click on the reconnect button while the MSN protocol was disconnected.
event_log:      2012-03-10-13:11:26> Smolt profile successfully saved
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.2.9-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/matszyeung_40hotmail_2ecom at 0x2318490>
time:           Saturday, March 10, 2012 PM01:10:15 HKT
uid:            1000
username:       jase

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/matszyeung_40hotmail_2ecom at 0x2318490>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/matszyeung_40hotmail_2ecom at 0x2318490>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x1fee0d0>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/matszyeung_40hotmail_2ecom at 0x2318490>

smolt_data:
:
:
:General
:=================================
:UUID: 852d84f0-d0a5-4b65-8912-9c40fc32bc1b
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 2128.27
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     U7500  @ 1.06GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1068
:System Memory: 1980
:System Swap: 1905
:Vendor: Hewlett-Packard
:System: HP Compaq 2510p Notebook PC F.0F
:Form factor: Notebook
:Kernel: 3.2.9-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4156:12489) pci, agpgart-intel, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10320:4156:12489) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10257:4156:12489) pci, None, PCI/ISA, 82801HBM (ICH8M-E) LPC Interface Controller
:(32902:4169:4156:12489) pci, e1000e, ETHERNET, 82566MM Gigabit Network Connection
:(4480:2082:4156:12489) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:9288:4156:12489) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4156:12489) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4156:12489) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(32902:10290:4156:12489) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4480:1142:4156:12489) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(32902:10294:4156:12489) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:(32902:10298:4156:12489) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(4480:2098:4156:12489) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10754:4156:12489) pci, i915, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (primary)
:(32902:10755:4156:12489) pci, None, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (secondary)
:(32902:10303:0:0) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4156:12489) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10756:4156:12489) pci, None, SIMPLE, Mobile PM965/GM965 MEI Controller
:(32902:10759:4156:12489) pci, serial, 16550_SERIAL, Mobile PM965/GM965 KT Controller
:(32902:10758:4156:12489) pci, ata_generic, STORAGE, Mobile PM965/GM965 PT IDER Controller
:(32902:10292:4156:12489) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4156:12489) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(32902:10315:4156:12489) pci, snd_hda_intel, MULTIMEDIA, 82801H (ICH8 Family) HD Audio Controller
:(32902:16937:32902:4096) pci, iwl4965, NETWORK, PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 5613322 1915901 1859710 1409024 1284687 1284687
:
Comment 1 Fedora End Of Life 2013-01-16 06:09:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:19:09 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.